# Source code for azure.mgmt.logic.models.key_vault_key_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class KeyVaultKey(Model):
        """The key vault key.

        :param kid: The key id.
        :type kid: str
        :param attributes: The key attributes.
        :type attributes: ~azure.mgmt.logic.models.KeyVaultKeyAttributes
        """

        _attribute_map = {
            'kid': {'key': 'kid', 'type': 'str'},
            'attributes': {'key': 'attributes', 'type': 'KeyVaultKeyAttributes'},
        }

        def __init__(self, *, kid: str=None, attributes=None, **kwargs) -> None:
            super(KeyVaultKey, self).__init__(**kwargs)
            self.kid = kid
            self.attributes = attributes